package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MarketMapBox;


/**
*  service接口类
*/
public interface MarketMapBoxService{

    List<MarketMapBox> getMarketMapBoxList(MarketMapBox record);

    List<MarketMapBox> getMarketMapBoxByPage(Page page, MarketMapBox record);

    MarketMapBox getMarketMapBoxById(String id);

    MarketMapBox getMarketMapBox(MarketMapBox record);

    boolean createMarketMapBox(MarketMapBox record);

    boolean deleteMarketMapBox(MarketMapBox record);

    boolean updateMarketMapBox(MarketMapBox record);
}

